Bug 72154 - [patch] Update x11-toolkits/py-qt to 3.13 and fix unfetchable
Summary: [patch] Update x11-toolkits/py-qt to 3.13 and fix unfetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-28 23:30 UTC by Danny Pansters
Modified: 2004-11-07 11:22 UTC (History)
1 user (show)

See Also:


Attachments
py-qt.diff (2.62 KB, patch)
2004-09-28 23:30 UTC, Danny Pansters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danny Pansters 2004-09-28 23:30:28 UTC
	Update to new 3.13 version. The former 3.12 is not fetchable from
master site anymore. Note lib dependency on qscintilla.5 and build dependency 
on sip, both of which need to be updated to be fetchable again also 
(ports/72152 and ports/72153 ). Maintainer cc'd.

Fix: Patch to be applied from within /usr/ports or a local ports tree
Comment 1 eugos 2004-09-29 00:37:52 UTC
Hello,

The patch looks quite correct. But unfortunately I don't have enough 
time now to test it. Moreover, I'm no more interested to put my energy 
to maintain this particular port. So, if you, Danny, could take the 
maintainership of the port I would be very grateful.

-- 
Eugene Ossintsev
Comment 2 Danny Pansters 2004-09-29 01:32:58 UTC
I will gladly take maintainership of py-qt and py-kde if I can also maintain 
py-sip, otherwise I'll always be lagging behind with sip and I'm not going to 
do that.

That's the deal. Take it or leave it ;-)
Comment 3 eugos 2004-09-29 19:45:38 UTC
py-kde is not maintaned by me but you may take sip, no problem. I agree 
it would be easier to maintain all three by one person.

-- 
Eugene Ossintsev
Comment 4 Danny Pansters 2004-09-30 20:32:44 UTC
I'd like to become maintainer for this port. Would the committer please 
s/eugos@gmx.net/danny@ricin.com/ ? Thanks.

See also ports/72153 (devel/py-sip)

And thank you Eugene, for your quick replies and your understanding.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2004-10-17 07:44:38 UTC
State Changed
From-To: open->feedback

This doesn't build for me on 4.x.  Any ideas? 

sipqttableQTable.cpp: In method `enum sipQTable::sipEditMode sipQTable::sipProtect_editMode()': 
sipqttableQTable.cpp:4413: static_cast from `QTable::EditMode' to `sipQTable::sipEditMode' 
sipqttableQTable.cpp:4414: warning: control reaches end of non-void function `sipQTable::sipProtect_editMode()' 
*** Error code 1
Comment 6 Michael Nottebrock freebsd_committer 2004-11-06 16:04:25 UTC
State Changed
From-To: feedback->closed

Superseded by ports/72156
Comment 7 Michael Nottebrock freebsd_committer 2004-11-07 03:20:18 UTC
State Changed
From-To: closed->feedback

Reopen, I misread PR 72154.
Comment 8 Michael Nottebrock freebsd_committer 2004-11-07 11:22:06 UTC
State Changed
From-To: feedback->closed

Committed, thanks.